Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.api.mdr/1 1.4.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.api.xmi.sax
Class XMIProducer

    java.lang.Object
      org.netbeans.api.xmi.sax.XMIProducer

All Implemented Interfaces:
  XMLReader

    public abstract class XMIProducer

extends Object
implements XMLReader

Implementation of XMLReader used for producing XMI documents.

Constructor Summary
`XMIProducer()`

Method Summary
`abstract XMIOutputConfig` | `getConfiguration()` Returns configuration object of this XMIProducer.
`abstract Object` | `getSource()` Returns source objects to be serialized to XMI.
`abstract String` | `getXmiVersion()` Returns version of XMI to be produced.
`abstract void` | `setSource(Collection objects)` Sets collection of objects to be serialized to XMI.
`abstract void` | `setSource(javax.jmi.reflect.RefPackage extent)` Sets source package extent to be serialized to XMI.
`abstract void` | `setXmiVersion(String xmiVersion)` Sets version of XMI to be produced.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.xml.sax.XMLReader
`getContentHandler, getDTDHandler, getEntityResolver, getErrorHandler, getFeature, getProperty, parse, parse, setContentHandler, setDTDHandler, setEntityResolver, setErrorHandler, setFeature, setProperty`

Constructor Detail

### XMIProducer

    public XMIProducer()

Method Detail

### setSource

    public abstract void setSource(Collection objects)

  Sets collection of objects to be serialized to XMI.

  Parameters:
    `objects` - Collection of RefObjects to be serialized to XMI.

### setSource

    public abstract void setSource(javax.jmi.reflect.RefPackage extent)

  Sets source package extent to be serialized to XMI.

  Parameters:
    `extent` - Extent to be serialized.

### getSource

    public abstract Object getSource()

  Returns source objects to be serialized to XMI.

  Returns:
    Collection of RefObjects or RefPackage to be serialized to XMI.

### setXmiVersion

    public abstract void setXmiVersion(String xmiVersion)

  Sets version of XMI to be produced. Default value is "1.2".

  Parameters:
    `xmiVersion` - Version of XMI.

### getXmiVersion

    public abstract String getXmiVersion()

  Returns version of XMI to be produced.

  Returns:
    XMI version.

### getConfiguration

    public abstract XMIOutputConfig getConfiguration()

  Returns configuration object of this XMIProducer. Any changes to the returned object will have immediate effect on the XMIProducer's configuration.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.api.mdr/1 1.4.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.